# ApiClusterTemplateHostTemplate Data Model

Host templates will contain information about the role config groups that should be applied to a host. This basically means a host will have a role corresponding to each config group.

Properties
name | data type | description
--- | --- | ---
refName | string | Reference name
roleConfigGroupsRefNames | array of string | List of role config groups
cardinality | number | Represent the cardinality of this host template on source. Defaults to 0.
tags | array of ApiEntityTag | The tags to be added to hosts when this template is applied

Example

    {
      "refName" : "...",
      "roleConfigGroupsRefNames" : [ "...", "..." ],
      "cardinality" : 12345,
      "tags" : [ {
        "name" : "...",
        "value" : "..."
      }, {
        "name" : "...",
        "value" : "..."
      } ]
    }